-- 基础信息
base_info = {
	group_id = 111102010
}

-- DEFS_MISCS
defs =
{
	--玩法完成时 这个gadget如果为GearStop则会被设为Default
        	finish_gadget = 10012,
	--起点格configid
	starter = 10007,
	--终点格configid
	ender = 10005,
	--矩阵 用于踩格子时判断是否相邻
	matrix =
	{

		{0,10011,0},

		{10001,10002,10005},

		{10003,10004,0},

		{0,10006,10007},
	},
	--每个还原格控制哪些离散格
	reveal_tiles=
	{
		[10004] = {10009, 10010},
	},
	--离散格拼入哪个位置，拼入位置需要布设普通格，初始状态为903
	reveal_match=
	{
		[10009] = 10003,
		[10010] = 10002,
	}
,
	--移动格的目标位置
	movable_pos =
	{--[移动格子configID] = 两位数字的矩阵坐标，x是十位，y是个位
       		 [10011] = 13,
	}



}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[10001] = { config_id = 10001, gadget_id = 70360350, pos = { x = 1290.474, y = 329.840, z = -1931.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	-- 隐藏态
	[10002] = { config_id = 10002, gadget_id = 70360356, pos = { x = 1290.478, y = 329.908, z = -1928.459 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, state = GadgetState.Action03 },
	-- 隐藏态
	[10003] = { config_id = 10003, gadget_id = 70360356, pos = { x = 1293.503, y = 329.842, z = -1931.493 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, state = GadgetState.Action03 },
	-- 还原格
	[10004] = { config_id = 10004, gadget_id = 70360352, pos = { x = 1293.515, y = 329.840, z = -1928.462 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[10005] = { config_id = 10005, gadget_id = 70360355, pos = { x = 1290.481, y = 329.918, z = -1925.496 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[10006] = { config_id = 10006, gadget_id = 70360350, pos = { x = 1296.559, y = 329.842, z = -1928.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[10007] = { config_id = 10007, gadget_id = 70360354, pos = { x = 1296.549, y = 329.840, z = -1925.433 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[10009] = { config_id = 10009, gadget_id = 70360353, pos = { x = 1293.148, y = 333.711, z = -1935.475 }, rot = { x = 23.341, y = 0.001, z = 344.254 }, level = 1 },
	[10010] = { config_id = 10010, gadget_id = 70360353, pos = { x = 1287.405, y = 333.711, z = -1928.502 }, rot = { x = 349.763, y = 6.040, z = 313.484 }, level = 1 },
	[10011] = { config_id = 10011, gadget_id = 70360351, pos = { x = 1287.568, y = 330.093, z = -1928.478 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1, route_id = 110200001, start_route = false },
	[10012] = { config_id = 10012, gadget_id = 70310171, pos = { x = 1286.847, y = 329.728, z = -1919.813 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, state = GadgetState.GearStop, interact_id = 64 },
	[10013] = { config_id = 10013, gadget_id = 70310167, pos = { x = 1282.689, y = 329.493, z = -1920.747 }, rot = { x = 0.000, y = 262.391, z = 0.000 }, level = 1 },
	[10014] = { config_id = 10014, gadget_id = 70310186, pos = { x = 1272.171, y = 328.209, z = -1921.480 }, rot = { x = 0.000, y = 91.314, z = 0.000 }, level = 1 },
	[10015] = { config_id = 10015, gadget_id = 70310186, pos = { x = 1266.657, y = 327.819, z = -1921.480 }, rot = { x = 0.000, y = 91.314, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	-- 玩法限定区域
	[10008] = { config_id = 10008, shape = RegionShape.SPHERE, radius = 10, pos = { x = 1293.586, y = 330.331, z = -1928.434 } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 10012, 10013, 10014, 10015 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 10001, 10002, 10003, 10004, 10005, 10006, 10007, 10009, 10010, 10011 },
		regions = { 10008 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/DrawOneLine_Dreamland"
